API ReferenceKnowledge BaseDocuments
List Documents
List knowledge base documents for the organization, optionally filtered by status or collection
Supports filtering by status (processing status) and one or more collection_uuid values, plus limit/offset pagination.
Query Parameters
status?|
Filter by processing status
limit?Limit
Range
1 <= value <= 100Default
100offset?Offset
Range
0 <= valueDefault
0collection_uuid?array<string>|
Filter to documents in one or more collections
Header Parameters
X-API-Key?string|null
Response Body
application/json
application/json
curl -X GET "https://example.com/api/v1/knowledge-base/documents"{ "documents": [ { "id": 0, "document_uuid": "string", "filename": "string", "file_size_bytes": 0, "file_hash": "string", "mime_type": "string", "processing_status": "string", "processing_error": "string", "total_chunks": 0, "retrieval_mode": "chunked", "custom_metadata": {}, "docling_metadata": {}, "source_url": "string", "collection_uuid": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "organization_id": 0, "created_by": 0, "is_active": true } ], "total": 0, "limit": 0, "offset": 0}